- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TCallbackEventParameter

    TComponent
       |
       --TEventParameter
          |
          --TCallbackEventParameter

#### Direct Known Sub-classes:

TAutoCompleteEventParameter

TCallbackEventParameter class.

The TCallbackEventParameter provides the parameter passed during the callback requestion in the CallbackParameter property. The callback response content (e.g. new HTML content) must be rendered using an THtmlWriter obtained from the NewWriter property, which returns a NEW instance of TCallbackResponseWriter.

Each instance TCallbackResponseWriter is associated with a unique boundary delimited. By default each panel only renders its own content. To replace the content of ONE panel with that of rendered from multiple panels use the same writer instance for the panels to be rendered.

The response data (i.e., passing results back to the client-side callback handler function) can be set using ResponseData property.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gamil[dot]com>

Constructor Summary
public | __construct Array Creates a new TCallbackEventParameter.

Method Summary
mixed | getCallbackParameter ()
TCallbackResponseWriter | getNewWriter ()
mixed | getResponseData ()
void | setResponseData ( mixed $value)

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constructor Details

## __construct

public __construct | Array

Creates a new TCallbackEventParameter.

Method Details

## getCallbackParameter

public mixed getCallbackParameter | ()

Output
mixed | callback request parameter.
Exception

## getNewWriter

public TCallbackResponseWriter getNewWriter | ()

Output
TCallbackResponseWriter | holds the response content.
Exception

## getResponseData

public mixed getResponseData | ()

Output
mixed | callback response data.
Exception

## setResponseData

public void setResponseData | (mixed $value )

Input
mixed | $value | callback response data.
Output
Exception